;(function($){

    $(document).ready(function(){

        var $logo               = $('#logo'),
            $indexPosts         = $('#index-posts'),
            $archive            = $('#archive'),
            $sidebar            = $('#sidebar'),
            $sidebarArchive     = $('#sidebar-archive'),
            $postNavigation     = $('#post-navigation'),
            $footer             = $('#footer'),
            $footerCopyright    = $footer.find('.footer-copyright'),
            $footerRegularLinks = $footerCopyright.find('a'),
            $footerSocialLinks  = $footer.find('.menu-footer a');

        var footer_default_hover_color = wp.customize.settings.values['omtria_footer_social_link_color_hover'];

        

        //
        // Site logo
        //
        wp.customize('blogname', function(value){
            value.bind(function(to){
                $logo.text(to);
            });
        });



        //
        // Sidebar
        //
        wp.customize('omtria_sidebar_on_home', function(value){
            value.bind(function(to){
                if (to) {
                    $indexPosts.removeClass('col-sm-12');
                    $indexPosts.addClass('col-md-8 col-sm-7');
                    $sidebar.show();
                } else {
                    $indexPosts.addClass('col-sm-12');
                    $indexPosts.removeClass('col-md-8 col-sm-7');
                    $sidebar.hide();
                }
            });
        });

        wp.customize('omtria_sidebar_on_archive_search', function(value){
            value.bind(function(to){
                if (to) {
                    $archive.removeClass('col-sm-12');
                    $archive.addClass('col-md-8 col-sm-7');
                    $sidebarArchive.show();
                } else {
                    $archive.addClass('col-sm-12');
                    $archive.removeClass('col-md-8 col-sm-7');
                    $sidebarArchive.hide();
                }
            });
        });



        //
        // Post navigation
        //
        wp.customize('omtria_navigation_in_post', function(value){
            value.bind(function(to){
                if (to) {
                    $postNavigation.show();
                } else {
                    $postNavigation.hide();
                }
            });
        });



        //
        // Footer
        //
        wp.customize('omtria_footer_background', function(value){
            value.bind(function(to){
                $footer.css({backgroundColor: to});
            });
        });

        wp.customize('omtria_footer_color', function(value){
            value.bind(function(to){
                $footer.css({color: to});
            });
        });

        wp.customize('omtria_footer_regular_link_color', function(value){
            value.bind(function(to){
                $footerRegularLinks.css({color: to});
            });
        });

        wp.customize('omtria_footer_social_link_color', function(value){
            value.bind(function(to){
                var defaultColor = to;
                $footerSocialLinks.css({color: to});

                $footerSocialLinks.hover(function(){
                    $(this).css({color: footer_default_hover_color});
                }, function(){
                    $(this).css({color: defaultColor});
                });
            });
        });

        wp.customize('omtria_footer_social_link_color_hover', function(value){
            value.bind(function(to){
                var defaultColor = $footerSocialLinks.css('color');
                footer_default_hover_color = to;

                $footerSocialLinks.hover(function(){
                    $(this).css({color: to});
                }, function(){
                    $(this).css({color: defaultColor});
                });
            });
        });

        wp.customize('omtria_footer_social_link_border', function(value){
            value.bind(function(to){
                $footerSocialLinks.css({borderColor: to});

                $footerSocialLinks.hover(function(){
                    $(this).css({backgroundColor: to});
                }, function(){
                    $(this).css({background: 'none'});
                });
            });
        });

        wp.customize('omtria_footer_text', function(value){
            value.bind(function(to){
                $footerCopyright.html(to);
            });
        });

    });

})(jQuery);